package org.skduemu.entity;

import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.util.logging.*;

public class Sender {
	
	private Logger log = Logger.getLogger("Sender");
	
    private String host;
    private int port;

    public Sender(String host, int port){
        this.host = host;
        this.port = port;
    }

    public String sendMessage(String message){
        try{
//            System.out.println("Sender Send Message");
            byte[] data = message.getBytes();
            InetAddress inetAddress = InetAddress.getByName(host);
//            log.info(inetAddress.getHostAddress());
            DatagramPacket datagramPacket = new DatagramPacket(data, data.length, inetAddress, port);
            DatagramSocket datagramSocket = new DatagramSocket();
            datagramSocket.setBroadcast(true);
            datagramSocket.send(datagramPacket);
            datagramSocket.close();

        }
        catch(Exception e){
            e.printStackTrace();
            return null;
        }
        return message;
    }
}
