package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.*;
import org.skduemu.xml.entity.Parameters.GetService;

import java.util.List;

@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class Get {

    @XmlElement(name = "URL")
    private String url;

    @XmlElement(name = "UUID")
    private String uuid;

    @XmlElement(name  = "deviceType")
    private String deviceType;

    @XmlElement(name = "serialNumber")
    private String serialNumber;

    @XmlElement(name = "company")
    private String company;

    @XmlElementWrapper(name = "serviceList")
    @XmlElement(name = "service")
    private List<GetService> serviceList;

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public List<GetService> getServiceList() {
        return serviceList;
    }

    public void setServiceList(List<GetService> serviceList) {
        this.serviceList = serviceList;
    }
//    @XmlElement(name = "UUID")
//    private String uuidDeviceAndUuidService;
//
//    public String getUuidDeviceAndUuidService() {
//        return uuidDeviceAndUuidService;
//    }
//
//    public void setUuidDeviceAndUuidService(String uuidDeviceAndUuidService) {
//        this.uuidDeviceAndUuidService = uuidDeviceAndUuidService;
//    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }
}
