package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.*;

import java.util.List;

@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class Scpd {
    @XmlAttribute(name = "urn")
    private String scpd_urn;

    @XmlElementWrapper(name = "actionList")
    @XmlElement(name = "action")
    private List<Action> actionList;

    @XmlElementWrapper(name = "serviceStateTable")
    @XmlElement(name = "stateVariable")
    private List<StateVariable> stateVariableList;

    public String getScpd_urn() {
        return scpd_urn;
    }

    public void setScpd_urn(String scpd_urn) {
        this.scpd_urn = scpd_urn;
    }

    public List<Action> getActionList() {
        return actionList;
    }

    public void setActionList(List<Action> actionList) {
        this.actionList = actionList;
    }

    public List<StateVariable> getStateVariableList() {
        return stateVariableList;
    }

    public void setStateVariableList(List<StateVariable> stateVariableList) {
        this.stateVariableList = stateVariableList;
    }

//    @Override
//    public String toString(){
//        StringBuilder sb = new StringBuilder();
//        sb.append("<scpd urn='");
//        sb.append((this.scpd_urn == null) ? "null" : this.scpd_urn);
//        sb.append("'> \n");
//        sb.append("     <actionList> \n");
//        for(Action action: actionList){
//            sb.append(action);
//        }
//        sb.append("     </actionList> \n");
//        sb.append("     <serviceStateTable> \n");
//        for(StateVariable stateVariable: stateVariableList){
//            sb.append(stateVariable);
//        }
//        sb.append("     </serviceStateTable> \n");
//        sb.append("</scpd.");
//        return sb.toString();
//    }

}
