package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;

import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class Struct {
    @XmlElement(name = "variableName")
    private VariableName variableName;

    @XmlElement(name = "stateVariable")
    private List<StateVariable> stateVariables;

    // Getters and Setters
    public VariableName getVariableName() {
        return variableName;
    }

    public void setVariableName(VariableName variableName) {
        this.variableName = variableName;
    }

    public List<StateVariable> getStateVariables() {
        return stateVariables;
    }

    public void setStateVariables(List<StateVariable> stateVariables) {
        this.stateVariables = stateVariables;
    }
}