package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;

import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class ValueError {
    @XmlElement(name = "dataType")
    private String dataType;

    @XmlElementWrapper(name = "valueList")
    @XmlElement(name = "valueItem")
    private List<ValueItem> valueList;

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public List<ValueItem> getValueList() {
        return valueList;
    }

    public void setValueList(List<ValueItem> valueList) {
        this.valueList = valueList;
    }
}
