package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;

import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class Action {
    @XmlElement(name = "name")
    private String name;
    @XmlElementWrapper(name = "argumentList")
    @XmlElement(name = "argument")
    private List<Argument> argumentList;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Argument> getArgumentList() {
        return argumentList;
    }

    public void setArgumentList(List<Argument> argumentList) {
        this.argumentList = argumentList;
    }

//    @Override
//    public String toString(){
//        StringBuilder sb = new StringBuilder();
//        sb.append("<action> \n");
//        sb.append("     <name>" + name + "</name>");
//        sb.append("     <argumentList> \n");
//        for(Argument argument : argumentList){
//            sb.append(argument);
//        }
//        sb.append("     </argumentList> \n");
//        sb.append("</action> \n");
//        return sb.toString();
//    }
}

