package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.*;

import java.util.List;

@XmlRootElement(name = "body")
@XmlAccessorType(XmlAccessType.FIELD)
public class Body {
    @XmlAttribute(name = "urn")
    public String urn;

    @XmlElement(name = "action")
    private Action action;

    @XmlElementWrapper(name = "stateVariable")
    @XmlElement(name = "variableName")
    private List<VariableName> stateVariable;
}
