package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class DescrError {
    @XmlElement(name = "descrError")
    private String code;

    @XmlElement(name = "friendlyName")
    private String friendlyName;

    @XmlElement(name = "priority")
    private String priority;

    @XmlElement(name = "valueError")
    private ValueError valueError;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public ValueError getValueError() {
        return valueError;
    }

    public void setValueError(ValueError valueError) {
        this.valueError = valueError;
    }

    public String getFriendlyName() {
        return friendlyName;
    }

    public void setFriendlyName(String friendlyName) {
        this.friendlyName = friendlyName;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }
}
