package org.skduemu.xml.entity;

import jakarta.xml.bind.annotation.*;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlRootElement(name = "error")
public class Error {

    @XmlAttribute(name = "urn")
    private String urn;

    @XmlElement(name = "URL")
    private String url;

    @XmlElement(name = "describe")
    private Describe describe;

    @XmlElement(name = "detail")
    private Detail detail;

    @XmlElement(name = "descrError")
    private DescrError descrError;

    public DescrError getDescrError() {
        return descrError;
    }

    public void setDescrError(DescrError descrError) {
        this.descrError = descrError;
    }

    public Detail getDetail() {
        return detail;
    }

    public void setDetail(Detail detail) {
        this.detail = detail;
    }

    public String getUrn() {
        return urn;
    }

    public void setUrn(String urn) {
        this.urn = urn;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Describe getDescribe() {
        return describe;
    }

    public void setDescribe(Describe describe) {
        this.describe = describe;
    }
}
