package org.skduemu.xml.entity.Parameters;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;

import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class GetService {

    @XmlElementWrapper(name = "actionList")
    @XmlElement(name = "action")
    private List<GetAction> actionList;

    @XmlElementWrapper(name = "serviceStateTable")
    @XmlElement(name = "variableName")
    private List<GetVariableName> getVariableNameList;

    public List<GetAction> getActionList() {
        return actionList;
    }

    public void setActionList(List<GetAction> actionList) {
        this.actionList = actionList;
    }

    public List<GetVariableName> getGetVariableNameList() {
        return getVariableNameList;
    }

    public void setGetVariableNameList(List<GetVariableName> getVariableNameList) {
        this.getVariableNameList = getVariableNameList;
    }
}
